//
// Copyright (c) Microsoft Corporation.  All rights reserved.
//
//
// Use of this sample source code is subject to the terms of the Microsoft
// license agreement under which you licensed this sample source code. If
// you did not accept the terms of the license agreement, you are not
// authorized to use this sample source code. For the terms of the license,
// please see the license agreement between you and Microsoft or, if applicable,
// see the LICENSE.RTF on your install media or the root of your tools installation.
// THE SAMPLE SOURCE CODE IS PROVIDED "AS IS", WITH NO WARRANTIES.
//
/*++
THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY OF
ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO
THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
PARTICULAR PURPOSE.

Module Name:  

    public_keys.c
    
Abstract:  

    The Windows CE Secure Boot Loader (specifically, oal_blcommon_secure.lib)
    requires one or more public keys.  These are used to authenticate 
    downloaded images.  Images which fail authentication are rejected by the 
    boot loader.

Notes: 

    BLCommon will search the list of public keys until it finds one that 
    successfully verifies the data being downloaded.

--*/

#include <windows.h>

#include "SBL_Test_public_key.h"


// One or more public keys for validation of images.
// Provided by the platform's boot loader at link time.
const BYTE  *g_rgpbPublicKeys[] =
{
    grsa_SBL_Test_public_key,
};

// Length (in bits) of each public key
const DWORD  g_rgdwKeyLengths[] =
{
    gdwKeyLen_SBL_Test_public_key,
};


const WORD g_wNumPublicKeys = sizeof( g_rgpbPublicKeys )/sizeof( g_rgpbPublicKeys[0] );
