//
//  Header:  ethdrv.h
//
//  This header file contains prototypes for ethernet KITL devices drivers
//  implemented in common library. For function prototypes see oal_kilt.h
//  header file. Device driver for SoC specific silicon are defined in
//  corresponding xxx_ethdrv.h header file in SoC subdirectory.
//
#ifndef __ETHDRV_H
#define __ETHDRV_H

#if __cplusplus
extern "C" {
#endif

//------------------------------------------------------------------------------
// Prototypes for DM9000

BOOL   DM9000Init(UINT8 *pAddress, UINT32 offset, UINT16 mac[3]);
UINT16 DM9000SendFrame(UINT8 *pBuffer, UINT32 length);
UINT16 DM9000GetFrame(UINT8 *pBuffer, UINT16 *pLength);
VOID   DM9000EnableInts();
VOID   DM9000DisableInts();
VOID   DM9000CurrentPacketFilter(UINT32 filter);
BOOL   DM9000MulticastList(UINT8 *pAddresses, UINT32 count);

#define OAL_ETHDRV_DM9000   { \
    DM9000Init, NULL, NULL, DM9000SendFrame, DM9000GetFrame, \
    DM9000EnableInts, DM9000DisableInts, \
    NULL, NULL,  DM9000CurrentPacketFilter, DM9000MulticastList \
}

//------------------------------------------------------------------------------

#if __cplusplus
}
#endif

#endif
