//
// Copyright (c) Microsoft Corporation.  All rights reserved.
//
//
// Use of this sample source code is subject to the terms of the Microsoft
// license agreement under which you licensed this sample source code. If
// you did not accept the terms of the license agreement, you are not
// authorized to use this sample source code. For the terms of the license,
// please see the license agreement between you and Microsoft or, if applicable,
// see the LICENSE.RTF on your install media or the root of your tools installation.
// THE SAMPLE SOURCE CODE IS PROVIDED "AS IS", WITH NO WARRANTIES.
//
#ifndef __KITL_CFG_H
#define __KITL_CFG_H

//------------------------------------------------------------------------------

OAL_KITL_ETH_DRIVER g_kitlEthDM9000 = OAL_ETHDRV_DM9000;
OAL_KITL_ETH_DRIVER g_kitlEthNE2000     = OAL_ETHDRV_NE2000;

VOID   PXA27X_RndisPowerOff();
VOID   PXA27X_RndisPowerOn();

#define OAL_ETHDRV_RNDIS_PXA27X    { \
    (OAL_KITLETH_INIT)HostMiniInit, \
    NULL, \
    NULL, \
    (OAL_KITLETH_SEND_FRAME)RndisEDbgSendFrame, \
    RndisEDbgGetFrame, \
    RndisEnableInts, \
    RndisDisableInts, \
    PXA27X_RndisPowerOff, \
    PXA27X_RndisPowerOn, \
    (OAL_KITLETH_CURRENT_PACKET_FILTER)RndisCurrentPacketFilter, \
    (OAL_KITLETH_MULTICAST_LIST)RndisMulticastList \
}

OAL_KITL_ETH_DRIVER g_kitlEthUsbRndis   = OAL_ETHDRV_RNDIS_PXA27X;


OAL_KITL_DEVICE g_kitlDevices[] = {
    { 
        L"DM9000_NIC", Internal, (MAINSTONEII_BASE_REG_PA_DM9000_ETHERNET + 0x300), 0, OAL_KITL_TYPE_ETH, 
        &g_kitlEthDM9000
    },
    { 
        L"NE2000_PCCARD", Internal, (BULVERDE_BASE_REG_PA_PCMCIA_S0_IO + 0x300), 0, OAL_KITL_TYPE_ETH, 
        &g_kitlEthNE2000
    },
    { 
        L"NE2000_PCCARD", Internal, (BULVERDE_BASE_REG_PA_PCMCIA_S1_IO + 0x300), 0, OAL_KITL_TYPE_ETH, 
        &g_kitlEthNE2000
    },
    {
        L"USB_RNDIS", Internal, BULVERDE_BASE_REG_PA_UDC, 0, OAL_KITL_TYPE_ETH,
        &g_kitlEthUsbRndis
    },
    {
        NULL, 0, 0, 0, 0, NULL
    }
};    

//------------------------------------------------------------------------------

#endif
