@REM
@REM Copyright (c) Microsoft Corporation.  All rights reserved.
@REM
@REM
@REM Use of this sample source code is subject to the terms of the Microsoft
@REM license agreement under which you licensed this sample source code. If
@REM you did not accept the terms of the license agreement, you are not
@REM authorized to use this sample source code. For the terms of the license,
@REM please see the license agreement between you and Microsoft or, if applicable,
@REM see the LICENSE.RTF on your install media or the root of your tools installation.
@REM THE SAMPLE SOURCE CODE IS PROVIDED "AS IS", WITH NO WARRANTIES.
@REM
@ECHO OFF

REM
REM Mainstone is an XScale based design, so we set the new magic _TGTCPUVARIANT environment variable.
REM This controls whether we drag in XScale specific optimizations into things like our JPEG and MP3 decoders.
REM
set _TGTCPUVARIANT=XSC

REM
REM Microsoft is using the Mainstone board with the MCPII module.
REM
REM set MCPII_MODULE=1

REM
REM C5 processor card has 128MB SDRAM.
REM set this flag to enable only 64MB SDRAM.
REM BSP assumes 128MB SDRAM if this flag is not set.
REM
set SDRAM_SIZE_64_MB=1

REM
REM Set this flag to enable XIP CEBASE images 
REM
REM set IMGFLASH=1

REM
REM Set this flag to compile with xscale browser support
REM
REM set BSP_XSCALEBROWSER=1

REM
REM set this flag to exclude vtune pmu support
REM
set BSP_NOPMU=1

REM
REM Set this flag to include support for 
REM saving/restoring WMMX registers
REM (Co-Processor 0 and 1 regs) 
REM on a thread switch
REM
set BSP_COPROCSUPPORT=1

REM
REM USB RNDIS KITL support
REM
REM set BSP_RNDIS_USB_KITL=1

REM
REM USB serial or RNDIS for USB function
REM Default is RNDIS
REM
REM set BSP_USBFN_SERIAL=1
set BSP_USBFN_RNDIS=1

REM
REM No ril for Cebase project
set BSP_NORIL=1

REM
REM Set this flag to enable ILTiming measurements (iltiming.exe support)
REM After setting this flag recompile platform\mainstoneiii and platform\common
REM
REM set ENABLE_OAL_ILTIMING=1

